Package pyplusplus :: Package utils :: Class exposed_decls_db_t :: Class row_t

# type row_t

source code

                                           object --+
                                                    |
    pygccxml.declarations.decl_visitor.decl_visitor_t --+
                                                        |
                                                       exposed_decls_db_t.row_t

Instance Methods

__init__(self, decl_or_string) | source code

find_out_normalized_name(self, decl) | source code

update_key(self, cls) | source code

__str__(self) | source code

does_refer_same_decl(self, other) | source code

Inherited from `pygccxml.declarations.decl_visitor.decl_visitor_t`: `visit_casting_operator`, `visit_class`, `visit_class_declaration`, `visit_constructor`, `visit_destructor`, `visit_enumeration`, `visit_free_function`, `visit_free_operator`, `visit_member_function`, `visit_member_operator`, `visit_namespace`, `visit_typedef`, `visit_variable`

Class Variables
| FIELD_DELIMITER = ``'``@``'``
| EXPOSED_DECL_SIGN = ``'``+``'``
| UNEXPOSED_DECL_SIGN = ``'``~``'``
| CALLDEF_SIGNATURE_DELIMITER = ``'``#``'``

Method Details

### __init__(self, decl_or_string)
(Constructor)

source code

Overrides: pygccxml.declarations.decl_visitor.decl_visitor_t.__init__

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)